> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出文件

> 列出团队中所有已完成的文件。可以选择按用途过滤。



## OpenAPI

````yaml zh/openapi/files.json GET /v1/files
openapi: 3.0.3
info:
  title: 文件 API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files:
    get:
      summary: 列出文件
      description: 列出你的团队所有已完成的文件。可以选择按用途过滤。仅返回状态为 'completed' 的文件。
      parameters:
        - name: purpose
          in: query
          required: false
          schema:
            type: string
            enum:
              - context
              - batch
          description: 按用途过滤文件。支持的值：'context' 或 'batch'。
      responses:
        '200':
          description: 成功响应，包含文件列表。
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: 对象类型。此端点为 "list"。
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: 文件 ID
                        object:
                          type: string
                          description: 对象类型。此端点为 "file"。
                        created:
                          type: integer
                          description: 创建的纪元时间戳
                        filename:
                          type: string
                          description: 上传文件的文件名
                        bytes:
                          type: integer
                          description: 文件大小（字节）
                        purpose:
                          type: string
                          description: 文件的用途
                        status:
                          type: string
                          description: 文件状态。对于列出的文件，总是 "completed"。
        '401':
          description: 无效的 API 密钥
        '500':
          description: 内部服务器错误
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer认证头格式为Bearer <token>，其中<token>是你的认证令牌。

````